<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.sales.mapper.systemrule.SystemRuleModuleConfigMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" extends="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.BaseResultMap"  type="com.storlead.sales.pojo.entity.systemrule.SystemRuleModuleConfigEntity">
            <id column="id" property="id" />
            <result column="update_explain" property="updateExplain" />
            <result column="service_code" property="serviceCode" />
            <result column="has_max_member" property="hasMaxMember" />
            <result column="max_member_num" property="maxMemberNum" />
            <result column="has_public_clues" property="hasPublicClues" />
            <result column="has_distinguish_key_regular" property="hasDistinguishKeyRegular" />
            <result column="regular_follow_date" property="regularFollowDate" />
            <result column="key_follow_date" property="keyFollowDate" />
            <result column="regular_transaction_date" property="regularTransactionDate" />
            <result column="key_transaction_date" property="keyTransactionDate" />
            <result column="max_public_clues_num" property="maxPublicCluesNum" />
            <result column="has_clear_clues" property="hasClearClues" />
            <result column="max_clear_clues_num" property="maxClearCluesNum" />
            <result column="has_plagiarism_rules" property="hasPlagiarismRules" />
            <result column="plagiarism_rules" property="plagiarismRules" />
        </resultMap>

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
            id,service_code, update_explain, has_max_member, max_member_num, has_public_clues, has_distinguish_key_regular, regular_follow_date, key_follow_date, regular_transaction_date, key_transaction_date, max_public_clues_num, has_clear_clues, max_clear_clues_num, has_plagiarism_rules, plagiarism_rules,<include refid="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.Base_Column_List"></include>
        </sql>

</mapper>
